> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Export google_sheets sandbox data

> Export all data from the sandbox in the same format used for initialization.



## OpenAPI

````yaml get /sandbox/google_sheets/{sandbox_id}/dump
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/google_sheets/{sandbox_id}/dump:
    get:
      tags:
        - sandbox
      summary: Export google_sheets sandbox data
      description: >-
        Export all data from the sandbox in the same format used for
        initialization.
      operationId: dump_sandbox_sandbox_google_sheets__sandbox_id__dump_get
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DumpSandboxResponse_GoogleSheetsData_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DumpSandboxResponse_GoogleSheetsData_:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Sandbox identifier
        server_name:
          $ref: '#/components/schemas/SandboxMCPServer'
          description: MCP server type
        dumped_at:
          type: string
          format: date-time
          title: Dumped At
          description: Timestamp of dump
        data:
          $ref: '#/components/schemas/GoogleSheetsData-Output'
          description: Dumped sandbox data in server-specific format
      type: object
      required:
        - sandbox_id
        - server_name
        - dumped_at
        - data
      title: DumpSandboxResponse[GoogleSheetsData]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxMCPServer:
      type: string
      enum:
        - jira
        - github
        - salesforce
        - hubspot
        - notion
        - airtable
        - linear
        - asana
        - google_sheets
        - google_drive
        - google_docs
        - gmail
        - google_calendar
        - google_forms
        - clickup
        - close
        - monday
        - motion
        - onedrive
        - microsoft_teams
        - outlook_mail
        - cal.com
        - quickbooks
        - moneybird
        - dropbox
        - shopify
        - woocommerce
        - outlook_calendar
        - resend
        - wordpress
        - mem0
        - supabase
        - slack
        - confluence
        - discord
        - snowflake
        - postgres
        - mongodb
        - youtube
        - googleworkspaceatlas
        - huggingface
        - mock_notion
        - arxiv_latex
        - calculator
        - clinicaltrialsgov
        - fetch
        - met_museum
        - open_library
        - osm
        - pubmed
        - us_weather
        - duckduckgo
        - whois
        - wikipedia
        - scholarly
        - howtocook
        - yahoo_finance
        - '12306'
        - youtube_transcript
        - weather
        - twelvedata
        - national_parks
        - lara_translate
        - e2b
        - context7
        - alchemy
        - weights_and_biases
        - oxylabs
        - google_maps
        - brave_search
        - exa
        - serper
      title: SandboxMCPServer
      description: Supported MCP servers for sandboxing
    GoogleSheetsData-Output:
      properties:
        spreadsheets:
          anyOf:
            - items:
                $ref: '#/components/schemas/GoogleSheetsSpreadsheet-Output'
              type: array
            - type: 'null'
          title: Spreadsheets
          description: List of Google Sheets spreadsheets
      type: object
      title: GoogleSheetsData
      description: Complete Google Sheets sandbox data structure
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GoogleSheetsSpreadsheet-Output:
      properties:
        title:
          type: string
          title: Title
          description: Spreadsheet title
        sheets:
          anyOf:
            - items:
                $ref: '#/components/schemas/GoogleSheetsSheet'
              type: array
            - type: 'null'
          title: Sheets
          description: List of sheets in the spreadsheet
      type: object
      required:
        - title
      title: GoogleSheetsSpreadsheet
      description: Google Sheets spreadsheet object
    GoogleSheetsSheet:
      properties:
        title:
          type: string
          minLength: 1
          title: Title
          description: Sheet title
        index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Index
          description: Sheet index position
        rowCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rowcount
          description: Number of rows in the sheet
        columnCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Columncount
          description: Number of columns in the sheet
        cells:
          anyOf:
            - items:
                $ref: '#/components/schemas/GoogleSheetsCell'
              type: array
            - type: 'null'
          title: Cells
          description: List of cells with data
      type: object
      required:
        - title
      title: GoogleSheetsSheet
      description: A sheet within a spreadsheet
    GoogleSheetsCell:
      properties:
        row:
          type: integer
          title: Row
          description: Row index (0-based)
        col:
          type: integer
          title: Col
          description: Column index (0-based)
        value:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: boolean
            - type: 'null'
          title: Value
          description: Cell value (string, number, boolean, or null)
        formula:
          anyOf:
            - type: string
            - type: 'null'
          title: Formula
          description: Formula if the cell contains one (e.g., '=A1+B1')
      type: object
      required:
        - row
        - col
      title: GoogleSheetsCell
      description: A single cell with its position and value
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````